summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Thibaut Notteboom <thibaut.notteboom@gmail.com>2019-06-22 20:32:43 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2019-06-22 20:32:43 +0700
commitef3c179517626bc74865500083746d43666ad791 (patch)
treed209fe017f5f8a393a52dbaed0b2f7d2efddd5bc /libraries
parent47d28118b836443e57e1ca8e1c5114530440e6cd (diff)
downloadslackbuilds-ef3c179517626bc74865500083746d43666ad791.tar.gz
slackbuilds-ef3c179517626bc74865500083746d43666ad791.tar.xz
libraries/libyang: Added (YANG data modeling language library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libyang/README2
-rw-r--r--libraries/libyang/libyang.SlackBuild105
-rw-r--r--libraries/libyang/libyang.info10
-rw-r--r--libraries/libyang/slack-desc19
4 files changed, 136 insertions, 0 deletions
diff --git a/libraries/libyang/README b/libraries/libyang/README
new file mode 100644
index 0000000000..32afe436a0
--- /dev/null
+++ b/libraries/libyang/README
@@ -0,0 +1,2 @@
+Libyang is a YANG data modelling language parser and toolkit written
+(and providing API) in C.
diff --git a/libraries/libyang/libyang.SlackBuild b/libraries/libyang/libyang.SlackBuild
new file mode 100644
index 0000000000..b64ea2f757
--- /dev/null
+++ b/libraries/libyang/libyang.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+
+# Slackware build script for libyang
+
+# Copyright 2019 Thibaut Notteboom, Paris, FRANCE
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libyang
+VERSION=${VERSION:-0.16-r3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_INSTALL_LIBDIR=lib${LIBDIRSUFFIX} \
+ -DCMAKE_INSTALL_MANDIR=/usr/man \
+ -DENABLE_LYD_PRIV=ON \
+ -DENABLE_BUILD_TESTS=ON \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make test
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ *.md LICENSE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libyang/libyang.info b/libraries/libyang/libyang.info
new file mode 100644
index 0000000000..fc31a0fe10
--- /dev/null
+++ b/libraries/libyang/libyang.info
@@ -0,0 +1,10 @@
+PRGNAM="libyang"
+VERSION="0.16-r3"
+HOMEPAGE="https://github.com/CESNET/libyang"
+DOWNLOAD="https://github.com/CESNET/libyang/archive/v0.16-r3/libyang-0.16-r3.tar.gz"
+MD5SUM="a7cc2cc10de2ec92a51eee69c98566fa"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="cmocka"
+MAINTAINER="Thibaut Notteboom"
+EMAIL="thibaut.notteboom@gmail.com"
diff --git a/libraries/libyang/slack-desc b/libraries/libyang/slack-desc
new file mode 100644
index 0000000000..27c1951809
--- /dev/null
+++ b/libraries/libyang/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libyang: libyang (YANG data modeling language library)
+libyang:
+libyang: Libyang is a YANG data modelling language parser and toolkit written
+libyang: (and providing API) in C.
+libyang:
+libyang:
+libyang:
+libyang:
+libyang:
+libyang:
+libyang: